swAbsoluteSalinity {oce} | R Documentation

## Seawater absolute salinity, in GSW formulation

### Description

Compute seawater absolute salinity, according to the GSW/TEOS-10 formulation.

### Usage

    swAbsoluteSalinity(salinity, pressure=NULL, longitude=300, latitude=30)

### Arguments

`salinity` | either practial salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`pressure` | pressure in dbar.
`longitude` | longitude of observation.
`latitude` | latitude of observation.

### Details

If the first argument is an `oce` object, then values for salinity, etc., are extracted from it, and used for the calculation, and the corresponding arguments to the present function are ignored.

The absolute salinity is calculated using the GSW function `gsw_SA_from_SP`. Typically, this is a fraction of a unit higher than practical salinity as defined in the UNESCO formulae.

### Value

Absolute Salinity in g/kg.

### Author(s)

Dan Kelley

### References

McDougall, T.J. and P.M. Barker, 2011: Getting started with TEOS-10 and the Gibbs Seawater (GSW) Oceanographic Toolbox, 28pp., SCOR/IAPSO WG127, ISBN 978-0-646-55621-5.

### See Also

The related TEOS-10 quantity “conservative temperature” may be computed with `swConservativeTemperature`. For a ctd object, absolute salinity may also be recovered by indexing as e.g. `ctd[["absoluteSalinity"]]` or `ctd[["SA"]]`.

### Examples

    ## Not run:
    sa <- swAbsoluteSalinity(35.5, 300, 260, 16)
    stopifnot(abs(35.671358392019094 - sa) < 00.000000000000010)

    ## End(Not run)

[Package oce version 0.9-18 Index]